Tensorflow hata


#1

Dün tensorflowda birşeyler denerken aniden hata almaya başladım. Ne olduğunu anlamadım.
Kendi datasetimi üretmek istiyodum.Ürettiğimi düşündükten sonra tensorflow kodumu çalıştırdım. Şuan kod farketmeksizin tüm tensorflow kodları hata veriyor. Nasıl düzeltebilirim ?
Hata:

runfile('C:/Users/darkl/Desktop/GANs/dcgan.py', wdir='C:/Users/darkl/Desktop/GANs')
[autoreload of html5lib.html5parser failed: Traceback (most recent call last):
  File "C:\Users\darkl\Anaconda3\lib\site-packages\IPython\extensions\autoreload.py", line 246, in check
superreload(m, reload, self.old_objects)
  File "C:\Users\darkl\Anaconda3\lib\site-packages\IPython\extensions\autoreload.py", line 369, in superreload
module = reload(module)
  File "C:\Users\darkl\Anaconda3\lib\imp.py", line 315, in reload
return importlib.reload(module)
  File "C:\Users\darkl\Anaconda3\lib\importlib\__init__.py", line 166, in reload
_bootstrap._exec(spec, module)
  File "<frozen importlib._bootstrap>", line 618, in _exec
  File "<frozen importlib._bootstrap_external>", line 678, in exec_module
  File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
  File "C:\Users\darkl\Anaconda3\lib\site-packages\html5lib\html5parser.py", line 6, in <module>
from . import inputstream
  File "C:\Users\darkl\Anaconda3\lib\site-packages\html5lib\inputstream.py", line 9, in <module>
from .constants import encodings, ReparseException
ImportError: cannot import name 'encodings'
]
Traceback (most recent call last):

  File "<ipython-input-2-38d5315313d4>", line 1, in <module>
runfile('C:/Users/darkl/Desktop/GANs/dcgan.py', wdir='C:/Users/darkl/Desktop/GANs')

  File "C:\Users\darkl\Anaconda3\lib\site-packages\spyder\utils\site\sitecustomize.py", line 705, in runfile
execfile(filename, namespace)

  File "C:\Users\darkl\Anaconda3\lib\site-packages\spyder\utils\site\sitecustomize.py", line 102, in execfile
exec(compile(f.read(), filename, 'exec'), namespace)

  File "C:/Users/darkl/Desktop/GANs/dcgan.py", line 1, in <module>
from tensorflow.python.keras.models import Sequential

  File "C:\Users\darkl\Anaconda3\lib\site-packages\tensorflow\__init__.py", line 24, in <module>
from tensorflow.python import *

  File "C:\Users\darkl\Anaconda3\lib\site-packages\tensorflow\python\__init__.py", line 51, in <module>
from tensorflow.python import pywrap_tensorflow

  File "C:\Users\darkl\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow.py", line 52, in <module>
raise ImportError(msg)

ImportError: Traceback (most recent call last):
  File "C:\Users\darkl\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 18, in swig_import_helper
return importlib.import_module(mname)
  File "C:\Users\darkl\Anaconda3\lib\importlib\__init__.py", line 126, in import_module
return _bootstrap._gcd_import(name[level:], package, level)
  File "<frozen importlib._bootstrap>", line 994, in _gcd_import
  File "<frozen importlib._bootstrap>", line 971, in _find_and_load
  File "<frozen importlib._bootstrap>", line 955, in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 658, in _load_unlocked
  File "<frozen importlib._bootstrap>", line 571, in module_from_spec
  File "<frozen importlib._bootstrap_external>", line 922, in create_module
  File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
ImportError: DLL load failed: Belirtilen modül bulunamadı.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Users\darkl\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow.py", line 41, in <module>
from tensorflow.python.pywrap_tensorflow_internal import *
  File "C:\Users\darkl\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 21, in <module>
_pywrap_tensorflow_internal = swig_import_helper()
  File "C:\Users\darkl\Anaconda3\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 20, in swig_import_helper
return importlib.import_module('_pywrap_tensorflow_internal')
  File "C:\Users\darkl\Anaconda3\lib\importlib\__init__.py", line 126, in import_module
return _bootstrap._gcd_import(name[level:], package, level)
ModuleNotFoundError: No module named '_pywrap_tensorflow_internal'


Failed to load the native TensorFlow runtime.

See https://www.tensorflow.org/install/install_sources#common_installation_problems

for some common reasons and solutions.  Include the entire stack trace
above this error message when asking for help.

#2

Anladigim kadariyla burda birkac tane hata var. Oncelikle html5lib ve TF arasinda bir versiyon uyusmazligi var su satirlardan anladigim kadariyla:

Bu aktif olan bir sorun ve cozum icin onerilenler surada: https://github.com/tensorflow/tensorboard/issues/588 Buradaki cozumleri deneyebilirsin.

Ikinci bir hata ise

Bunun anlami TF kurulumunuz yanlis demek. Olasi opsiyonlar: 1) Ilk sorunu cozmek bunu otomatik olarak cozebilir, 2) Anaconda environment lerinde bir terslik olabilir, TF kurdugunuz environmenti kullandiginiza eminmisiniz?